
//判断浏览器
function createXMLHttp()
{
    var request = false;
    if (window.XMLHttpRequest){ request = new XMLHttpRequest(); }
    else if (window.ActiveXObject) 
    {
       try{ request = new ActiveXObject("MSXML2.XMLHTTP"); } 
       catch (e1) 
       {
         try{ request = new ActiveXObject("Microsoft.XMLHTTP"); } 
         catch (e2){ request = false; }
       }
    }
    return request;
}

//以XML求取ddl_JobTypeSub的数据
	function XmlPost_JobTypeSub(obj)
    {
		var svalue = obj.value;
		var webFileUrl = "?jobtypeid=" + svalue;
		var result = "";
		var xmlHttp = createXMLHttp();
		xmlHttp.open("POST", webFileUrl, false);
		xmlHttp.send("");
		result = xmlHttp.responseText;		　　
		if(result != "")
		{
			document.getElementById("ddl_JobTypeSub").length=0;
			var piArray = result.split(",");
			for(var i=0;i<piArray.length;i++)
			{
				var ary = piArray[i].toString().split("|");
				document.getElementById("ddl_JobTypeSub").options.add(new Option(ary[1].toString(),ary[0].toString()));
			}
			document.getElementById("hid_JobTypeSub").value = document.getElementById("ddl_JobTypeSub").options[document.getElementById("ddl_JobTypeSub").selectedIndex].value;
		}
		else
		{
			alert(result);
		}
	}
	//以XML求取lib_WishTrainBox的数据
	function XmlPost_WishTrainBoxs(obj) {
	    var svalue = obj.value;
	    var webFileUrl = "?wishTrainid=" + svalue;
	    var result = "";
	    var xmlHttp = createXMLHttp();
	    xmlHttp.open("POST", webFileUrl, false);
	    xmlHttp.send("");
	    result = xmlHttp.responseText;
	    if (result != "") {
	        document.getElementById("ddl_Trade").length = 0;
	        var piArray = result.split(",");
	        for (var i = 0; i < piArray.length; i++) {
	            var ary = piArray[i].toString().split("|");
	            document.getElementById("ddl_Trade").options.add(new Option(ary[1].toString(), ary[0].toString()));
	        }
	    }
	    else {
	        alert(result);
	    }
	}
	//以XML求取ddl_WorkPlaceCity的数据
	function XmlPost_WorkPlaceCity(obj)
    {
		var svalue = obj.value;
		var webFileUrl = "?provinceid=" + svalue;
		var result = "";
		var xmlHttp = createXMLHttp();
		xmlHttp.open("POST", webFileUrl, false);
		xmlHttp.send("");
		result = xmlHttp.responseText;
				　　
		if(result != "")
		{
			document.getElementById("ddl_WorkPlaceCity").length=0;
			var piArray = result.split(",");
			for(var i=0;i<piArray.length;i++)
			{
				var ary = piArray[i].toString().split("|");
				document.getElementById("ddl_WorkPlaceCity").options.add(new Option(ary[1].toString(),ary[0].toString()));
			}
			document.getElementById("hid_WorkPlaceCity").value = document.getElementById("ddl_WorkPlaceCity").options[document.getElementById("ddl_WorkPlaceCity").selectedIndex].value;
		}
		else
		{
			alert(result);
		}
	}
	

//职位搜索
function Search_Job()
{
	var Url;
	var JobType,Trade,WorkPlace,PublishDate,Key;
	
	JobType		= document.getElementById("hid_JobTypeSub").value;
	WorkPlace = document.getElementById("hid_WorkPlaceCity").value;
	Trade = document.getElementById("hid_trade").value;
	PublishDate	= document.getElementById("ddl_PublishDate").value;
	Key			= document.getElementById("txt_Key").value;
	
	if(Key == "请输入关键字")
	{
		alert("请输入搜索关键字");
		return;
	}
	
	Url = "JobSearch_Result.aspx?JobType="+ JobType +"&Trade="+ Trade +"&WorkPlace="+ WorkPlace +"&PublishDate="+ PublishDate +"&Key="+ Key;
	
	window.open(Url);
}

//学子搜索
function Search_Student()
{
	var Url;
	var JobType,Degree,WorkPlace,PublishDate,Key;
	
	JobType		= document.getElementById("hid_JobTypeSub").value;
	WorkPlace	= document.getElementById("hid_WorkPlaceCity").value;
	Degree		= document.getElementById("ddl_Degree").value;
	PublishDate	= document.getElementById("ddl_PublishDate").value;
	Key			= document.getElementById("txt_Key").value;
	
	if(Key == "请输入关键字")
	{
		alert("请输入搜索关键字");
		return;
	}
	
	Url = "Student_Search.aspx?JobType="+ JobType +"&Degree="+ Degree +"&WorkPlace="+ WorkPlace +"&PublishDate="+ PublishDate +"&Key="+ Key;
	
	window.open(Url);
}

//活动搜索
function Search_Info()
{
	var Url;
	var PublishDate,Key;
	
	PublishDate	= document.getElementById("ddl_PublishDate").value;
	Key			= document.getElementById("txt_Key").value;
	
	if(Key == "请输入关键字"){Key = "";}
	
	Url = "Info_Search.aspx?PublishDate="+ PublishDate +"&Key="+ Key;
	
	window.open(Url);
}

//学校搜索
function Search_School()
{
	var Url;
	var Property,Key;
	
	Property	= document.getElementById("ddl_Property").value;
	Key			= document.getElementById("txt_SchoolKey").value;
	
	if(Key == "请输入关键字"){Key = "";}
	
	Url = "School_Search.aspx?Property="+ Property +"&Key="+ Key;
	
	window.open(Url);
}
